import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';

class CheckPage extends StatefulWidget {
  const CheckPage({Key? key}) : super(key: key);

  @override
  State<CheckPage> createState() => _CheckPageState();
}

class _CheckPageState extends State<CheckPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: SafeArea(
        child: AlertDialog(
          title: Text(
            '¡ERROR!',
            textAlign: TextAlign.center,
            style: GoogleFonts.roboto(
              color: const Color(0xFFB40404),
              fontWeight: FontWeight.bold,
              fontSize: 18.0,
            ),
          ),
          content: Text(
            'Parece que se han negado los permisos necesarios para utilizar esta aplicación, o bien, '
              'no cuenta con la configuración necesaria, por favor contacte al departamento de TI de S&P',
            textAlign: TextAlign.justify,
            style: GoogleFonts.roboto(),
          ),
        ),
      ),
    );
  }
}
